export default class AsyncTask<T> {
  promise: Promise<T | void>
  done: (data?: T | PromiseLike<T>) => void

  constructor() {
    this.done = () => {}
    this.promise = new Promise(resolve => (this.done = resolve))
  }
}
