import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { bootstrap } from './store'
// import './utils/rem'
import 'nprogress/nprogress.css'
import './style'
import './utils/third-login'

import Toast from './components/toast'
import Dialog from './components/dialog'
import globalFilters from './filters'

bootstrap().finally(() => {
  const app = createApp(App)
  app.use(router).mount('#app')
  app.use(Toast).use(Dialog)
  app.use(globalFilters)
})
